aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBjörn Gustavsson <[email protected]>2017-03-08 13:47:21 +0100
committerBjörn Gustavsson <[email protected]>2017-03-08 14:30:01 +0100
commitec8dc46e4ced05bca7ad51481c0795a0c4742a13 (patch)
treef315de162f761fbcb088068bbfa4783ab3d19963 /scripts
parent5f9d4d60a92d74221c751f74fa5ae9422ccc803d (diff)
downloadotp-ec8dc46e4ced05bca7ad51481c0795a0c4742a13.tar.gz
otp-ec8dc46e4ced05bca7ad51481c0795a0c4742a13.tar.bz2
otp-ec8dc46e4ced05bca7ad51481c0795a0c4742a13.zip
Run the smoke test for both SMP and non-SMP emulator
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/run-smoke-tests19
1 files changed, 13 insertions, 6 deletions
diff --git a/scripts/run-smoke-tests b/scripts/run-smoke-tests
index 8912c419a4..5a850c7107 100755
--- a/scripts/run-smoke-tests
+++ b/scripts/run-smoke-tests
@@ -5,10 +5,17 @@ if [ -z "$ERL_TOP" ]; then
ERL_TOP=$(pwd)
fi
-cd $ERL_TOP/release/tests/test_server
-$ERL_TOP/bin/erl -s ts install -s ts smoke_test batch -s init stop
+function run_smoke_tests {
+ cd $ERL_TOP/release/tests/test_server
+ $ERL_TOP/bin/erl -s ts install -s ts smoke_test batch -s init stop
+
+ if grep -q '=failed *[1-9]' ct_run.test_server@*/*/run.*/suite.log; then
+ echo "One or more tests failed."
+ exit 1
+ fi
+ rm -rf ct_run.test_server@*
+}
+
+run_smoke_tests
+ERL_FLAGS="-smp disable" run_smoke_tests
-if grep -q '=failed *[1-9]' ct_run.test_server@*/*/run.*/suite.log; then
- echo "One or more tests failed."
- exit 1
-fi